Create a broadcast
curl --request POST \
--url https://api.impellabs.tech/api/v1/broadcasts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Spring offer",
"channel_id": "CHANNEL_ID",
"message": {
"kind": "text",
"text": "Hello {name}, our spring offer starts today."
},
"audience": {
"campaign": "CAMPAIGN_ID"
},
"send": true
}
'import requests
url = "https://api.impellabs.tech/api/v1/broadcasts"
payload = {
"name": "Spring offer",
"channel_id": "CHANNEL_ID",
"message": {
"kind": "text",
"text": "Hello {name}, our spring offer starts today."
},
"audience": { "campaign": "CAMPAIGN_ID" },
"send": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Spring offer',
channel_id: 'CHANNEL_ID',
message: {kind: 'text', text: 'Hello {name}, our spring offer starts today.'},
audience: {campaign: 'CAMPAIGN_ID'},
send: true
})
};
fetch('https://api.impellabs.tech/api/v1/broadcasts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.impellabs.tech/api/v1/broadcasts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Spring offer',
'channel_id' => 'CHANNEL_ID',
'message' => [
'kind' => 'text',
'text' => 'Hello {name}, our spring offer starts today.'
],
'audience' => [
'campaign' => 'CAMPAIGN_ID'
],
'send' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.impellabs.tech/api/v1/broadcasts"
payload := strings.NewReader("{\n \"name\": \"Spring offer\",\n \"channel_id\": \"CHANNEL_ID\",\n \"message\": {\n \"kind\": \"text\",\n \"text\": \"Hello {name}, our spring offer starts today.\"\n },\n \"audience\": {\n \"campaign\": \"CAMPAIGN_ID\"\n },\n \"send\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.impellabs.tech/api/v1/broadcasts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Spring offer\",\n \"channel_id\": \"CHANNEL_ID\",\n \"message\": {\n \"kind\": \"text\",\n \"text\": \"Hello {name}, our spring offer starts today.\"\n },\n \"audience\": {\n \"campaign\": \"CAMPAIGN_ID\"\n },\n \"send\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.impellabs.tech/api/v1/broadcasts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Spring offer\",\n \"channel_id\": \"CHANNEL_ID\",\n \"message\": {\n \"kind\": \"text\",\n \"text\": \"Hello {name}, our spring offer starts today.\"\n },\n \"audience\": {\n \"campaign\": \"CAMPAIGN_ID\"\n },\n \"send\": true\n}"
response = http.request(request)
puts response.read_bodyBroadcasts
Create a broadcast
Makes a draft. With send true it also sends it, or schedules it with scheduled_at. You must own the channel, or be an owner or an admin.
POST
/
api
/
v1
/
broadcasts
Create a broadcast
curl --request POST \
--url https://api.impellabs.tech/api/v1/broadcasts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Spring offer",
"channel_id": "CHANNEL_ID",
"message": {
"kind": "text",
"text": "Hello {name}, our spring offer starts today."
},
"audience": {
"campaign": "CAMPAIGN_ID"
},
"send": true
}
'import requests
url = "https://api.impellabs.tech/api/v1/broadcasts"
payload = {
"name": "Spring offer",
"channel_id": "CHANNEL_ID",
"message": {
"kind": "text",
"text": "Hello {name}, our spring offer starts today."
},
"audience": { "campaign": "CAMPAIGN_ID" },
"send": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Spring offer',
channel_id: 'CHANNEL_ID',
message: {kind: 'text', text: 'Hello {name}, our spring offer starts today.'},
audience: {campaign: 'CAMPAIGN_ID'},
send: true
})
};
fetch('https://api.impellabs.tech/api/v1/broadcasts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.impellabs.tech/api/v1/broadcasts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Spring offer',
'channel_id' => 'CHANNEL_ID',
'message' => [
'kind' => 'text',
'text' => 'Hello {name}, our spring offer starts today.'
],
'audience' => [
'campaign' => 'CAMPAIGN_ID'
],
'send' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.impellabs.tech/api/v1/broadcasts"
payload := strings.NewReader("{\n \"name\": \"Spring offer\",\n \"channel_id\": \"CHANNEL_ID\",\n \"message\": {\n \"kind\": \"text\",\n \"text\": \"Hello {name}, our spring offer starts today.\"\n },\n \"audience\": {\n \"campaign\": \"CAMPAIGN_ID\"\n },\n \"send\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.impellabs.tech/api/v1/broadcasts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Spring offer\",\n \"channel_id\": \"CHANNEL_ID\",\n \"message\": {\n \"kind\": \"text\",\n \"text\": \"Hello {name}, our spring offer starts today.\"\n },\n \"audience\": {\n \"campaign\": \"CAMPAIGN_ID\"\n },\n \"send\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.impellabs.tech/api/v1/broadcasts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Spring offer\",\n \"channel_id\": \"CHANNEL_ID\",\n \"message\": {\n \"kind\": \"text\",\n \"text\": \"Hello {name}, our spring offer starts today.\"\n },\n \"audience\": {\n \"campaign\": \"CAMPAIGN_ID\"\n },\n \"send\": true\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
Body
application/json
Response
The broadcast.